#!/usr/bin/env python
# -*- coding: utf-8 -*-

import os
import sys
from time import time, strftime, localtime
from Tkinter import *
from tkFileDialog import askopenfilename
from tkFileDialog import asksaveasfilename
import subprocess

pencere=Tk()
pencere.title("Projem - Proje Yönetimi - ver:20100118-test")
pgen = 800
pyuks = 600
ekrangen = pencere.winfo_screenwidth()
ekranyuks = pencere.winfo_screenheight()
x = (ekrangen - pgen) / 2
y = (ekranyuks - pyuks) / 2
pencere.geometry("%dx%d+%d+%d"%(pgen, pyuks, x, y))


dosyadahili = IntVar()
dosyadahili.set(0)
dosyaharici = IntVar()
dosyaharici.set(0)
fontsizecesit="10"
fontcesit="Arial"
fontsizecesitbaslangic="Arial"
ekran="Projem Programı Başlatıldı"

path=os.getcwd()

def projeekle():
        def yeniprojeolustur():
                global ekran
                #os.getcwd()
                os.chdir(str(sys.path[0]))
                os.getcwd()
                os.mkdir(prjBilgiGir1.get())
                os.chdir(prjBilgiGir1.get())
                if cadBilgiGir1.get()<>"":
                        os.mkdir(cadBilgiGir1.get())
                if mcuBilgiGir1.get()<>"":
                        os.mkdir(mcuBilgiGir1.get())
                if cpuBilgiGir1.get()<>"":
                        os.mkdir(cpuBilgiGir1.get())
                os.mkdir("Malzemeler")
                os.mkdir("Ekler")
                os.mkdir("Kaynaklar")
                dosya2 = open ("proje.proje", "a")
                dosya2.writelines([prjBilgiGir1.get(),"\n"])
                dosya2.writelines(["\n",aciklamaGir1.get('1.0',END)])
                dosya2.writelines(["------------------------------ Süreç ------------------------------\n"])
                dosya2.writelines([strftime("%Y-%m-%d %H:%M:%S : ",localtime()),prjBilgiGir1.get()," Projesi oluşturuldu\n"])
                if cadBilgiGir1.get()<>"":
                        dosya2.writelines([strftime("%Y-%m-%d %H:%M:%S : ",localtime()),cadBilgiGir1.get()," klasörü Oluşturuldu\n"])
                if mcuBilgiGir1.get()<>"":
                        dosya2.writelines([strftime("%Y-%m-%d %H:%M:%S : ",localtime()),mcuBilgiGir1.get()," klasörü Oluşturuldu\n"])
                dosya2.writelines([strftime("%Y-%m-%d %H:%M:%S : ",localtime()),"Malzemeler klasörü oluşturuldu\n"])
                dosya2.writelines([strftime("%Y-%m-%d %H:%M:%S : ",localtime()),"Ekler klasörü oluşturuldu\n"])
                dosya2.writelines([strftime("%Y-%m-%d %H:%M:%S : ",localtime()),"Kaynaklar klasörü oluşturuldu\n"])
                if cadBilgiGir1.get()<>"" and cadBilgiGir1.get()=="KiCad" or cadBilgiGir1.get()=="kicad" or cadBilgiGir1.get()=="Kicad" or cadBilgiGir1.get()=="KICAD":
                        os.chdir(cadBilgiGir1.get())
                        zaman1=strftime("%a %d %m %Y %H:%M:%S : ",localtime())
                        zaman2=strftime("%d.%m.%Y",localtime())
                        dosya = open(prjBilgiGir1.get() + "-01.pro", "w")
                        #dosya.writelines(["update=Pzt 11 Oca 2010 21:12:53 EET", "\nlast_client=kicad", "\n[general]", "\nversion=1"])
                        dosya.writelines(["update=",zaman1," EET", "\nlast_client=kicad", "\n[general]", "\nversion=1"])
                        dosya.close()
                        dosya = open(prjBilgiGir1.get() + "-01.sch", "w")
                        
                        dosya.writelines(["EESchema Schematic File Version 2  date ",
                                          zaman1," EET","\nLIBS:power", "\nLIBS:device"
                                          "\nLIBS:transistors", "\nLIBS:conn", "\nLIBS:linear", "\nLIBS:regul", "\nLIBS:74xx", "\nLIBS:cmos4000",
                                          "\nLIBS:adc-dac", "\nLIBS:memory", "\nLIBS:xilinx", "\nLIBS:special", "\nLIBS:microcontrollers",
                                          "\nLIBS:dsp", "\nLIBS:microchip", "\nLIBS:analog_switches", "\nLIBS:motorola", "\nLIBS:texas",
                                          "\nLIBS:intel", "\nLIBS:audio", "\nLIBS:interface", "\nLIBS:digital-audio", "\nLIBS:philips",
                                          "\nLIBS:display", "\nLIBS:cypress", "\nLIBS:siliconi", "\nLIBS:opto", "\nLIBS:atmel", "\nLIBS:contrib",
                                          "\nLIBS:valves", "\nEELAYER 43  0", "\nEELAYER END", "\n$Descr A4 11700 8267", "\nSheet 1 1",
                                          '\nTitle "PROJE"', '\nDate "',zaman2,'"', '\n$EndDescr', "\n$EndSCHEMATC"])
                        dosya.close()
                        os.chdir(os.pardir)
                        dosya2.writelines([strftime("%Y-%m-%d %H:%M:%S : ", localtime()),cadBilgiGir1.get()," proje dosyası oluşturulu\n"])

                if cadBilgiGir1.get()<>"" and cadBilgiGir1.get()=="Proteus" or cadBilgiGir1.get()=="proteus" or cadBilgiGir1.get()=="PROTEUS":
                        os.chdir(cadBilgiGir1.get())
                        dosya = open(prjBilgiGir1.get() + "-01.dsn", "wb")
                        zaman1=strftime("%d %m %Y %H:%M:%S : ",localtime())
                        dosya.writelines(["\x49\x53\x49\x53\x20\x53\x43\x48\x45\x4D\x41\x54\x49\x43\x20\x46",                                        "\x49\x4C\x45\x1A\x00\x50\x6F\x72\x6A\x65\x00\x69\x67\x6E\x00\x70",
                                        "\x6C\x61\x74\x65\x00\x44\x53\x20\x20\x6B\x6A\x68\x5C\x20\x6B\x6A",
                                        "\x64\x67\x5C\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00",
                                        "\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x31\x2E\x30\x00\x4D",
                                        "\x65\x68\x6D\x65\x74\x20\x59\x49\x4C\x4D\x41\x5A\x00\x00\x00\x00",
                                        "\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x31",
                                        "\x32\x2F\x30\x31\x2F\x31\x30\x00\x00\x00\x00\x00\x00\x00\x00\x00",
                                        "\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x31\x34\x2F\x30\x31",
                                        "\x2F\x31\x30\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00",
                                        "\x00\x00\x00\x00\x00\x00\x00\xC0\x02\xDA\x02\x00\x00\x47\xAC\x4C",
                                        "\x4B\xC1\x2B\x4F\x4B\x14\x00\x03\x00\x00\x00\x01\x00\x01\x00\x00",
                                        "\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00",
                                        "\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00",
                                        "\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00",
                                        "\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00",
                                        "\xD8\x02\x00\x00\x44\x45\x53\x49\x47\x4E\x20\x43\x4F\x4E\x46\x49",
                                        "\x47\x55\x52\x41\x54\x49\x4F\x4E\x20\x44\x41\x54\x41\x1A\x00\x00",
                                        "\x41\x72\x69\x61\x6C\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00",
                                        "\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00",
                                        "\x00\x00\x00\x00\x00\x00\x00\x00\x44\x65\x66\x61\x75\x6C\x74\x20",
                                        "\x46\x6F\x6E\x74\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00",
                                        "\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00",
                                        "\x02\x00\x00\x00\xA0\xA6\x04\x00\xC0\x19\x03\x00\x0A\x00\x04\x10",
                                        "\x01\x00\x00\x00\x70\xC6\x00\x00\xC0\x92\x83\x01\x20\x4D\x0F\x01",
                                        "\xC0\x92\x83\x01\x20\x4D\x0F\x01\x80\x80\x80\x00\xC0\xC0\xC0\x00",
                                        "\x00\xC0\x00\x00\xC0\xC0\xC0\x00\x00\x00\x00\x00\xFF\x00\x00\x00",
                                        "\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\xC0\xC0\xC0\x00",
                                        "\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00",
                                        "\x00\x00\x00\x00\x00\x00\x00\x00\x01\x00\x00\x00\xC0\xC0\xC0\x00",
                                        "\x00\x20\x00\x00\xC0\xC0\xC0\x00\x00\x00\x00\x00\x00\x00\x00\x00",
                                        "\xFF\x00\x00\x00\x00\x00\x00\x00\x01\x00\x00\x00\x00\x20\x00\x00",
                                        "\xE0\xE0\xD0\x00\xC0\xC0\xC0\x00\xC0\xC0\xC0\x00\x00\x00\x00\x00",
                                        "\xFF\xFF\xFF\xFF\x00\x00\x00\x00\x01\x00\x00\x00\x00\xC0\x00\x00",
                                        "\x00\x20\x00\x00\xC0\xC0\xC0\x00\xC0\xC0\xC0\x00\x00\x00\x00\x00",
                                        "\xFF\xFF\xFF\xFF\x00\x00\x00\x00\x01\x00\x00\x00\x00\xC0\xC0\x00",
                                        "\x00\x20\x00\x00\x00\xC0\x00\x00\xC0\xC0\xC0\x00\x00\x00\x00\x00",
                                        "\xFF\x00\x00\x00\x00\x00\x00\x00\x01\x00\x00\x00\x00\xFF\x00\x00",
                                        "\x00\x20\x00\x00\x00\xC0\x00\x00\xC0\xC0\xC0\x00\x00\x00\x00\x00",
                                        "\xFF\xFF\xFF\x00\x00\x00\x00\x00\x01\x00\x00\x00\xFF\x00\x00\x00",
                                        "\x00\x20\x00\x00\x00\xC0\x00\x00\xC0\xC0\xC0\x00\x00\x00\x00\x00",
                                        "\xFF\xFF\xFF\x00\x00\x00\x00\x00\x01\x00\x00\x00\x00\x00\xFF\x00",
                                        "\x00\x20\x00\x00\x00\xC0\x00\x00\xC0\xC0\xC0\x00\x00\x00\x00\x00",
                                        "\xFF\xFF\xFF\x00\x00\x00\x00\x00\x01\x00\x00\x00\xFF\xFF\x00\x00",
                                        "\x00\x20\x00\x00\x00\xC0\x00\x00\xC0\xC0\xC0\x00\x00\x00\x00\x00",
                                        "\xFF\xFF\xFF\x00\x00\x00\x00\x00\x01\x00\x00\x00\xFF\x00\xFF\x00",
                                        "\x00\x20\x00\x00\x00\xC0\x00\x00\xC0\xC0\xC0\x00\x00\x00\x00\x00",
                                        "\xFF\xFF\xFF\x00\x00\x00\x00\x00\x01\x00\x00\x00\x00\xFF\xFF\x00",
                                        "\x00\x20\x00\x00\x00\xC0\x00\x00\xC0\xC0\xC0\x00\x00\x00\x00\x00",
                                        "\xFF\xFF\xFF\x00\x00\x00\x00\x00\x01\x00\x00\x00\x00\xC0\xC0\x00",
                                        "\x00\x20\x00\x00\x00\xC0\x00\x00\xC0\xC0\xC0\x00\x00\x00\x00\x00",
                                        "\xFF\xFF\xFF\x00\x00\x00\x00\x00\x01\x00\x00\x00\xC0\x00\xC0\x00",
                                        "\x00\x20\x00\x00\x00\xC0\x00\x00\xC0\xC0\xC0\x00\x00\x00\x00\x00",
                                        "\xFF\xFF\xFF\x00\x00\x00\x00\x00\x01\x00\x00\x00\xC0\xC0\xC0\x00",
                                        "\xFF\xFF\x00\x00\xFF\xFF\xFF\x00\xE0\xE0\xD0\x00\xFF\x00\x00\x00",
                                        "\xFF\x00\xFF\x00\x00\xC0\x00\x00\x00\x00\xC0\x00\x00\x00\x00\x00",
                                        "\xFF\xFF\x00\x00\xFF\x00\x00\x00\x60\xA0\x60\x00\x00\x00\xFF\x00",
                                        "\xFF\x40\x40\x00\x40\x40\xFF\x00\x80\x80\x80\x00\xFF\xFF\x00\x00",
                                        "\xC0\xC0\xC0\x00\x00\xC0\x00\x00\xC0\xC0\xC0\x00\x00\x00\x00\x00",
                                        "\xFF\x00\x00\x00\x00\x00\x00\x00\x01\x00\x00\x00\x80\x80\x80\x00",
                                        "\xC0\xC0\xC0\x00\x00\xC0\x00\x00\xC0\xC0\xC0\x00\x00\x00\x00\x00",
                                        "\xFF\x00\x00\x00\x00\x00\x00\x00\x01\x00\x00\x00\x12\x00\x09\x43",
                                        "\x4F\x4D\x50\x4F\x4E\x45\x4E\x54\x01\x19\x00\x00\x00\x00\xC0\x9E",
                                        "\x00\x00\x80\x00\x00\x00\x00\xC8\xC8\xAA\x00\xC8\xC8\xAA\x00\x02",
                                        "\x7F\x00\x03\x50\x49\x4E\x01\x19\x00\x00\x00\x00\xC0\x9E\x00\x00",
                                        "\x80\x00\x00\x00\x01\xFF\xFF\xFF\x00\xFF\xFF\xFF\x00\x02\x7F\x00",
                                        "\x04\x50\x4F\x52\x54\x01\x19\x00\x00\x00\x00\xC0\x9E\x00\x00\x00",
                                        "\x40\x00\x00\x01\xFF\xFF\xFF\x00\xFF\xFF\xFF\x00\x02\x7F\x00\x06",
                                        "\x4D\x41\x52\x4B\x45\x52\x01\x19\x00\x00\x00\x00\x60\x4F\x00\x00",
                                        "\x00\x00\x40\x00\x01\xFF\xFF\xFF\x00\xFF\xFF\xFF\x00\x02\x7F\x00",
                                        "\x08\x41\x43\x54\x55\x41\x54\x4F\x52\x01\x19\x00\x00\x00\x00\x60",
                                        "\x4F\x00\x00\xFF\x00\x00\x00\x00\x40\x00\x00\x00\x40\x00\x00\x00",
                                        "\x02\x7F\x00\x09\x49\x4E\x44\x49\x43\x41\x54\x4F\x52\x01\x19\x00",
                                        "\x00\x00\x00\x60\x4F\x00\x00\x00\xFF\x00\x00\x00\x00\x40\x00\x00",
                                        "\x00\x40\x00\x00\x02\x7F\x00\x06\x56\x50\x52\x4F\x42\x45\x01\x19",
                                        "\x00\x00\x00\x00\x60\x4F\x00\x00\x00\x00\xC0\x00\x01\xFF\xFF\xFF",
                                        "\x00\xFF\xFF\xFF\x00\x02\x7F\x00\x06\x49\x50\x52\x4F\x42\x45\x01",
                                        "\x19\x00\x00\x00\x00\x60\x4F\x00\x00\x00\x00\xC0\x00\x01\xFF\xFF",
                                        "\xFF\x00\xFF\xFF\xFF\x00\x02\x7F\x00\x04\x54\x41\x50\x45\x01\x19",
                                        "\x00\x00\x00\x00\x60\x4F\x00\x00\x00\x00\xC0\x00\x01\xFF\xFF\xFF",
                                        "\x00\xFF\xFF\xFF\x00\x02\x7F\x00\x09\x47\x45\x4E\x45\x52\x41\x54",
                                        "\x4F\x52\x01\x19\x00\x00\x00\x00\x60\x4F\x00\x00\x00\x00\xC0\x00",
                                        "\x01\xFF\xFF\xFF\x00\xFF\xFF\xFF\x00\x02\x7F\x00\x08\x54\x45\x52",
                                        "\x4D\x49\x4E\x41\x4C\x01\x19\x00\x00\x00\x00\xC0\x9E\x00\x00\x00",
                                        "\x40\x00\x00\x01\xFF\xFF\xFF\x00\xFF\xFF\xFF\x00\x02\x7F\x00\x0A",
                                        "\x53\x55\x42\x43\x49\x52\x43\x55\x49\x54\x01\x19\x00\x00\x00\x00",
                                        "\x80\x3D\x01\x00\x00\x00\x80\x00\x00\xC8\xC8\xAA\x00\xC8\xC8\xAA",
                                        "\x00\x02\x7F\x00\x0A\x32\x44\x20\x47\x52\x41\x50\x48\x49\x43\x01",
                                        "\x19\x00\x00\x00\x00\xC0\x9E\x00\x00\x00\x00\x00\x00\x01\xFF\xFF",
                                        "\xFF\x00\xFF\xFF\xFF\x00\x02\x7F\x00\x08\x57\x49\x52\x45\x20\x44",
                                        "\x4F\x54\x01\x19\x00\x00\x00\x00\xC0\x9E\x00\x00\x00\x40\x00\x00",
                                        "\x00\x00\x40\x00\x00\x00\x40\x00\x00\x02\x7F\x00\x04\x57\x49\x52",
                                        "\x45\x01\x19\x00\x00\x00\x00\xC0\x9E\x00\x00\x00\x40\x00\x00\x01",
                                        "\xFF\xFF\xFF\x00\xFF\xFF\xFF\x00\x02\x7F\x00\x08\x42\x55\x53\x20",
                                        "\x57\x49\x52\x45\x01\x19\x00\x00\x00\x00\x50\x53\x02\x00\x00\x00",
                                        "\xC0\x00\x01\xFF\xFF\xFF\x00\xFF\xFF\xFF\x00\x02\x7F\x00\x06\x42",
                                        "\x4F\x52\x44\x45\x52\x00\x19\x00\x00\x00\x00\xC0\x9E\x00\x00\x00",
                                        "\x80\x80\x00\x00\xC8\xC8\xAA\x00\xC8\xC8\xAA\x00\x02\x7F\x00\x08",
                                        "\x54\x45\x4D\x50\x4C\x41\x54\x45\x00\x19\x00\x00\x00\x00\x98\xB2",
                                        "\x00\x00\x00\x00\x80\x00\x01\xFF\xFF\xFF\x00\xFF\xFF\xFF\x00\x02",
                                        "\x7F\x00\x0F\x00\x0C\x43\x4F\x4D\x50\x4F\x4E\x45\x4E\x54\x20\x49",
                                        "\x44\x01\x26\x00\x00\x00\x48\xD0\x05\x00\xC0\x19\x03\x00\x00\x00",
                                        "\x00\x00\x01\x20\xFF\x01\x44\x65\x66\x61\x75\x6C\x74\x20\x46\x6F",
                                        "\x6E\x74\x00\x00\x00\x00\x00\x00\x0F\x43\x4F\x4D\x50\x4F\x4E\x45",
                                        "\x4E\x54\x20\x56\x41\x4C\x55\x45\x01\x26\x00\x00\x00\x30\xE0\x03",
                                        "\x00\xC0\x19\x03\x00\x00\x00\x00\x00\x01\x20\xFF\x01\x44\x65\x66",
                                        "\x61\x75\x6C\x74\x20\x46\x6F\x6E\x74\x00\x00\x00\x00\x00\x00\x0A",
                                        "\x50\x52\x4F\x50\x45\x52\x54\x49\x45\x53\x01\x26\x00\x00\x00\x30",
                                        "\xE0\x03\x00\xC0\x19\x03\x00\x00\x00\x00\x00\x01\x20\xFF\x01\x44",
                                        "\x65\x66\x61\x75\x6C\x74\x20\x46\x6F\x6E\x74\x00\x00\x00\x00\x00",
                                        "\x00\x0E\x54\x45\x52\x4D\x49\x4E\x41\x4C\x20\x4C\x41\x42\x45\x4C",
                                        "\x01\x26\x00\x00\x00\x30\xE0\x03\x00\xC0\x19\x03\x00\x00\x00\x00",
                                        "\x00\x01\x20\xFF\x01\x44\x65\x66\x61\x75\x6C\x74\x20\x46\x6F\x6E",
                                        "\x74\x00\x00\x00\x00\x00\x00\x0A\x57\x49\x52\x45\x20\x4C\x41\x42",
                                        "\x45\x4C\x01\x26\x00\x00\x00\x30\xE0\x03\x00\xC0\x19\x03\x00\x00",
                                        "\x00\x00\x00\x01\x20\xFF\x01\x44\x65\x66\x61\x75\x6C\x74\x20\x46",
                                        "\x6F\x6E\x74\x00\x00\x00\x00\x00\x00\x09\x53\x55\x42\x43\x4B\x54",
                                        "\x20\x49\x44\x01\x26\x00\x00\x00\x48\xD0\x05\x00\xC0\x19\x03\x00",
                                        "\x00\x00\x00\x00\x01\x20\xFF\x01\x44\x65\x66\x61\x75\x6C\x74\x20",
                                        "\x46\x6F\x6E\x74\x00\x00\x00\x00\x00\x00\x0B\x53\x55\x42\x43\x4B",
                                        "\x54\x20\x4E\x41\x4D\x45\x01\x26\x00\x00\x00\x30\xE0\x03\x00\xC0",
                                        "\x19\x03\x00\x00\x00\x00\x00\x01\x20\xFF\x01\x44\x65\x66\x61\x75",
                                        "\x6C\x74\x20\x46\x6F\x6E\x74\x00\x00\x00\x00\x00\x00\x06\x53\x43",
                                        "\x52\x49\x50\x54\x01\x26\x00\x00\x00\x30\xE0\x03\x00\xC0\x19\x03",
                                        "\x00\x00\x00\x00\x00\x01\x20\xFF\x01\x44\x65\x66\x61\x75\x6C\x74",
                                        "\x20\x46\x6F\x6E\x74\x00\x00\x00\x00\x00\x00\x08\x50\x49\x4E\x20",
                                        "\x4E\x41\x4D\x45\x01\x26\x00\x00\x00\x30\xE0\x03\x00\xC0\x19\x03",
                                        "\x00\x00\x00\x00\x00\x01\x20\xFF\x01\x44\x65\x66\x61\x75\x6C\x74",
                                        "\x20\x46\x6F\x6E\x74\x00\x00\x00\x00\x00\x00\x0A\x50\x49\x4E\x20",
                                        "\x4E\x55\x4D\x42\x45\x52\x01\x26\x00\x00\x00\x30\xE0\x03\x00\xC0",
                                        "\x19\x03\x00\x00\x00\x00\x00\x01\x20\xFF\x01\x44\x65\x66\x61\x75",
                                        "\x6C\x74\x20\x46\x6F\x6E\x74\x00\x00\x00\x00\x00\x00\x0C\x56\x50",
                                        "\x52\x4F\x42\x45\x20\x4C\x41\x42\x45\x4C\x01\x26\x00\x00\x00\x30",
                                        "\xE0\x03\x00\xC0\x19\x03\x00\x00\x00\xC0\x00\x01\x20\xFF\x01\x44",
                                        "\x65\x66\x61\x75\x6C\x74\x20\x46\x6F\x6E\x74\x00\x00\x00\x00\x00",
                                        "\x00\x0C\x49\x50\x52\x4F\x42\x45\x20\x4C\x41\x42\x45\x4C\x01\x26",
                                        "\x00\x00\x00\x30\xE0\x03\x00\xC0\x19\x03\x00\x00\x00\xC0\x00\x01",
                                        "\x20\xFF\x01\x44\x65\x66\x61\x75\x6C\x74\x20\x46\x6F\x6E\x74\x00",
                                        "\x00\x00\x00\x00\x00\x0F\x47\x45\x4E\x45\x52\x41\x54\x4F\x52\x20",
                                        "\x4C\x41\x42\x45\x4C\x01\x26\x00\x00\x00\x30\xE0\x03\x00\xC0\x19",
                                        "\x03\x00\x00\x00\xC0\x00\x01\x20\xFF\x01\x44\x65\x66\x61\x75\x6C",
                                        "\x74\x20\x46\x6F\x6E\x74\x00\x00\x00\x00\x00\x00\x0A\x54\x41\x50",
                                        "\x45\x20\x4C\x41\x42\x45\x4C\x01\x26\x00\x00\x00\x30\xE0\x03\x00",
                                        "\xC0\x19\x03\x00\x00\x00\xC0\x00\x01\x20\xFF\x01\x44\x65\x66\x61",
                                        "\x75\x6C\x74\x20\x46\x6F\x6E\x74\x00\x00\x00\x00\x00\x00\x0E\x41",
                                        "\x43\x54\x49\x56\x45\x20\x52\x45\x41\x44\x4F\x55\x54\x01\x1F\x00",
                                        "\x00\x00\x30\xE0\x03\x00\x18\xF0\x01\x00\x00\xFF\x00\x00\x01\x00",
                                        "\xFF\x01\x41\x72\x69\x61\x6C\x00\x00\x00\x00\x00\x00\x01\x00\x00",
                                        "\x00\x1B\x00\x00\x00\x50\x57\x52\x52\x41\x49\x4C\x53\x00\x2A\x52",
                                        "\x41\x49\x4C\x53\x0A\x2A\x42\x49\x4E\x44\x49\x4E\x47\x53\x0A\x00",
                                        "\xFE\xFF\x00\xFE\xFF\x00\x52\x0A\x00\x00\x49\x53\x49\x53\x20\x43",
                                        "\x49\x52\x43\x55\x49\x54\x20\x46\x49\x4C\x45\x1A\x00\x04\x00\x01",
                                        "\x00\x01\x00\xC0\x92\x83\x01\x20\x4D\x0F\x01\x00\x00\x4F\x42\x4A",
                                        "\x45\x43\x54\x20\x44\x41\x54\x41\x00\x20\xB0\xD8\x68\xFF\x30\xE6",
                                        "\x7F\x00\x00\x00\x00\x00\x7B\x00\x00\x00\x74\x00\x00\x00\x04\x02",
                                        "\x21\x00\x00\x00\x00\x98\xB2\x00\x00\x00\x00\x80\x00\x01\xFF\xFF",
                                        "\xFF\x00\xFF\xFF\xFF\x00\x02\x7F\x54\x45\x4D\x50\x4C\x41\x54\x45",
                                        "\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0A\x00\x7A",
                                        "\x01\x60\xC0\x07\x00\xC0\x19\x03\x00\x4C\x69\x62\x65\x72\x61\x74",
                                        "\x69\x6F\x6E\x20\x53\x61\x6E\x73\x00\x00\x00\x00\x00\x00\x00\x00",
                                        "\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x65\x02\x00\x4D\x65\x68",
                                        "\x6D\x65\x74\x58\x58\x58\x58\x58\x58\x58\x59\x49\x4C\x4D\x41\x5A",
                                        "\x00\xFF\x49\x53\x49\x53\x20\x43\x49\x52\x43\x55\x49\x54\x20\x46",
                                        "\x49\x4C\x45\x1A\x00\x01\x00\x01\x00\x01\x00\xC0\x92\x83\x01\x20",
                                        "\x4D\x0F\x01\x00\x00\x4F\x42\x4A\x45\x43\x54\x20\x44\x41\x54\x41",
                                        "\x00\xFF\x02\x00\x06\x43\x43\x54\x30\x30\x30\x00\x00\x6A\x09\x00",
                                        "\x00\x0B\x5F\x5F\x44\x45\x46\x41\x55\x4C\x54\x5F\x5F\x00\x00\x22",
                                        "\x0A\x00\x00\x01\x00\x06\x52\x4F\x4F\x54\x31\x30\x00\x00\x00\x00",
                                        "\x00\x00\x00\x00\x00\x00\x00\x06\x43\x43\x54\x30\x30\x30\x0B\x5F",
                                        "\x5F\x44\x45\x46\x41\x55\x4C\x54\x5F\x5F\x00\x00\x00\x00\x00\x00",
                                        "\x00\x00\x00\x00\x00\x0B\x5F\x5F\x44\x45\x46\x41\x55\x4C\x54\x5F",
                                        "\x5F\x00\x00\x00\x00\x14\x00\x00\x00\x9A\x99\x99\x99\x99\x99\xA9",
                                        "\x3F\x9A\x99\x99\x99\x99\x99\xA9\x3F\x9A\x99\x99\x99\x99\x99\x99",
                                        "\x3F\x00\x00\x00\x00\x00\x00\x18\x40\x8E\xED\xB5\xA0\xF7\xC6\xB0",
                                        "\x3E\x31\x00\x00\x80\x2C\x00\x00\x00\x0D\x00\x00\x00\x41\x42\x53",
                                        "\x54\x4F\x4C\x00\x31\x65\x2D\x31\x32\x00\x0B\x00\x00\x00\x42\x41",
                                        "\x44\x4D\x4F\x53\x33\x00\x4E\x6F\x00\x0B\x00\x00\x00\x42\x59\x50",
                                        "\x41\x53\x53\x00\x59\x65\x73\x00\x0D\x00\x00\x00\x43\x48\x47\x54",
                                        "\x4F\x4C\x00\x31\x65\x2D\x31\x34\x00\x08\x00\x00\x00\x44\x45\x46",
                                        "\x41\x44\x00\x30\x00\x08\x00\x00\x00\x44\x45\x46\x41\x53\x00\x30",
                                        "\x00\x0C\x00\x00\x00\x44\x45\x46\x4C\x00\x30\x2E\x30\x30\x30\x31",
                                        "\x00\x0C\x00\x00\x00\x44\x45\x46\x57\x00\x30\x2E\x30\x30\x30\x31",
                                        "\x00\x0B\x00\x00\x00\x47\x4D\x49\x4E\x00\x31\x65\x2D\x31\x32\x00",
                                        "\x0E\x00\x00\x00\x47\x4D\x49\x4E\x53\x54\x45\x50\x53\x00\x31\x32",
                                        "\x30\x00\x09\x00\x00\x00\x49\x54\x4C\x31\x00\x31\x30\x30\x00\x08",
                                        "\x00\x00\x00\x49\x54\x4C\x32\x00\x35\x30\x00\x08\x00\x00\x00\x49",
                                        "\x54\x4C\x34\x00\x31\x30\x00\x0B\x00\x00\x00\x4C\x4F\x47\x53\x54",
                                        "\x41\x52\x54\x00\x30\x00\x0B\x00\x00\x00\x4C\x4F\x47\x54\x49\x4D",
                                        "\x45\x00\x36\x30\x00\x09\x00\x00\x00\x4D\x41\x58\x4F\x52\x44\x00",
                                        "\x32\x00\x0C\x00\x00\x00\x4D\x45\x54\x48\x4F\x44\x00\x47\x45\x41",
                                        "\x52\x00\x0C\x00\x00\x00\x4E\x4F\x4F\x50\x49\x54\x45\x52\x00\x4E",
                                        "\x6F\x00\x0C\x00\x00\x00\x4E\x55\x4D\x53\x54\x45\x50\x53\x00\x35",
                                        "\x30\x00\x0C\x00\x00\x00\x4F\x4C\x44\x4C\x49\x4D\x49\x54\x00\x4E",
                                        "\x6F\x00\x0D\x00\x00\x00\x50\x49\x56\x52\x45\x4C\x00\x30\x2E\x30",
                                        "\x30\x31\x00\x0D\x00\x00\x00\x50\x49\x56\x54\x4F\x4C\x00\x31\x65",
                                        "\x2D\x31\x33\x00\x0D\x00\x00\x00\x52\x45\x4C\x54\x4F\x4C\x00\x30",
                                        "\x2E\x30\x30\x31\x00\x0D\x00\x00\x00\x52\x53\x48\x55\x4E\x54\x00",
                                        "\x31\x65\x2B\x31\x32\x00\x0D\x00\x00\x00\x53\x52\x43\x53\x54\x45",
                                        "\x50\x53\x00\x31\x32\x30\x00\x0C\x00\x00\x00\x54\x44\x4C\x4F\x57",
                                        "\x45\x52\x00\x30\x2E\x39\x00\x0A\x00\x00\x00\x54\x44\x53\x43\x41",
                                        "\x4C\x45\x00\x31\x00\x0C\x00\x00\x00\x54\x44\x55\x50\x50\x45\x52",
                                        "\x00\x31\x2E\x31\x00\x08\x00\x00\x00\x54\x45\x4D\x50\x00\x32\x37",
                                        "\x00\x0B\x00\x00\x00\x54\x4D\x49\x4E\x00\x31\x65\x2D\x31\x38\x00",
                                        "\x08\x00\x00\x00\x54\x4E\x4F\x4D\x00\x32\x37\x00\x14\x00\x00\x00",
                                        "\x54\x52\x41\x43\x45\x5F\x43\x4F\x4E\x54\x45\x4E\x54\x49\x4F\x4E",
                                        "\x53\x00\x31\x00\x14\x00\x00\x00\x54\x52\x41\x43\x45\x5F\x43\x4F",
                                        "\x4E\x56\x45\x52\x47\x45\x4E\x43\x45\x00\x31\x00\x10\x00\x00\x00",
                                        "\x54\x52\x41\x43\x45\x5F\x44\x43\x50\x41\x54\x48\x53\x00\x31\x00",
                                        "\x10\x00\x00\x00\x54\x52\x41\x43\x45\x5F\x49\x54\x46\x4D\x4F\x44",
                                        "\x53\x00\x31\x00\x11\x00\x00\x00\x54\x52\x41\x43\x45\x5F\x4E\x45",
                                        "\x54\x54\x59\x50\x45\x53\x00\x31\x00\x10\x00\x00\x00\x54\x52\x41",
                                        "\x43\x45\x5F\x4F\x50\x54\x49\x4F\x4E\x53\x00\x31\x00\x14\x00\x00",
                                        "\x00\x54\x52\x41\x43\x45\x5F\x50\x45\x52\x46\x4F\x52\x4D\x41\x4E",
                                        "\x43\x45\x00\x31\x00\x12\x00\x00\x00\x54\x52\x41\x43\x45\x5F\x53",
                                        "\x50\x49\x43\x45\x4C\x49\x4E\x4B\x00\x31\x00\x0F\x00\x00\x00\x54",
                                        "\x52\x41\x4E\x47\x4D\x49\x4E\x00\x31\x65\x2D\x30\x39\x00\x08\x00",
                                        "\x00\x00\x54\x52\x54\x4F\x4C\x00\x37\x00\x10\x00\x00\x00\x54\x52",
                                        "\x59\x54\x4F\x43\x4F\x4D\x50\x41\x43\x54\x00\x4E\x6F\x00\x0B\x00",
                                        "\x00\x00\x54\x54\x4F\x4C\x00\x31\x65\x2D\x30\x39\x00\x0C\x00\x00",
                                        "\x00\x56\x4E\x54\x4F\x4C\x00\x31\x65\x2D\x30\x36\x00\x00\x00\x00",
                                        "\x00\x01\x00\x3C\x00\x00\x00\x70\x00\xA0\x36\x3E\xFF\x70\x59\x78",
                                        "\xFF\x60\xC9\xC1\x00\x90\xA6\x87\x00\x00\x00\x00\x00\x00\x00\x00",
                                        "\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x52\x00\x00",
                                        "\x00\x01\x00\x00\x30\xE0\x03\x00\x02\x00\x00\x00\x30\xE0\x03\x00",
                                        "\x18\xF0\x01\x00"])
                        dosya.close()
                        os.chdir(os.pardir)
                        dosya2.writelines([strftime("%Y-%m-%d %H:%M:%S : ", localtime()),cadBilgiGir1.get()," proje dosyası oluşturulu\n"])
                
                if mcuBilgiGir1.get()<>"" and mcuBilgiGir1.get()=="Jal" or mcuBilgiGir1.get()=="jal" or mcuBilgiGir1.get()=="JAL":
                        os.chdir(mcuBilgiGir1.get())
                        dosya = open(prjBilgiGir1.get() + "-01.jal", "w")
                        dosya.writelines(["-- ------------------------------------------------------\n",
                                          "-- BASLIK:\n",
                                          "-- \n",
                                          "-- TARIH:\n",
                                          "-- \n",
                                          "-- Bu dosyada jallib kutuphanesi kullanilmistir\n",
                                          "--   (http://jallib.googlecode.com)\n",
                                          "-- \n",
                                          "-- BSD lisansı ile lisanslanmıştır\n",
                                          "--   (http://www.opensource.org/licenses/bsd-license.php)\n",
                                          "-- \n",
                                          "-- ------------------------------------------------------\n",
                                          "-- \n"])
                        dosya.close()
                        os.chdir(os.pardir)
                        dosya2.writelines([strftime("%Y-%m-%d %H:%M:%S : ", localtime()),mcuBilgiGir1.get()," proje dosyası oluşturulu\n"])
                if mcuBilgiGir1.get()<>"" and mcuBilgiGir1.get()=="Proton" or mcuBilgiGir1.get()=="proton" or mcuBilgiGir1.get()=="proton basic" or mcuBilgiGir1.get()=="Proton basic" or mcuBilgiGir1.get()=="PROTON" or mcuBilgiGir1.get()=="PicBasic" or mcuBilgiGir1.get()=="Pic Basic" or mcuBilgiGir1.get()=="pic basic" or mcuBilgiGir1.get()=="PIC BASIC" or mcuBilgiGir1.get()=="picbasic":
                        os.chdir(mcuBilgiGir1.get())
                        dosya = open(prjBilgiGir1.get() + "-01.bas", "w")
                        dosya.writelines(["' ------------------------------------------------------\n",
                                          "' BASLIK:\n",
                                          "' \n"
                                          "' TARIH:\n",
                                          "' \n",
                                          "' ACIKLAMA:\n",
                                          "' \n",
                                          "' BSD lisansı ile lisanslanmıştır\n",
                                          "'   (http://www.opensource.org/licenses/bsd-license.php)\n",
                                          "' ------------------------------------------------------\n",
                                          "' \n"])
                        dosya.close()
                        os.chdir(os.pardir)
                        dosya2.writelines([strftime("%Y-%m-%d %H:%M:%S : ", localtime()),mcuBilgiGir1.get()," proje dosyası oluşturulu\n"])
                ekran=prjBilgiGir1.get()+" projesi oluşturuldu."
                ekran1.config(bg="black", fg="green", font="Ariala 16 normal")
                ekran1.delete(0, END)
                ekran1.insert(0, ekran)
                ekran1.pack(fill=BOTH)
                dosya2.writelines(["-------------------------------------------------------------------\n"])
                yol= os.getcwd()
                liste.delete(0,END)
                liste.pack(expand=YES, side=LEFT, fill=BOTH)
                yol2=os.listdir(yol)
                yol2.sort()
                for i in yol2:
                        if i <> "proje.proje":
                                if i <> "projem.py":
                                        liste.insert(END, i)
                liste.pack(expand=YES, side=LEFT, fill=BOTH)
                liste.bind("<Double-Button-1>", projesec)
                dosya=open("proje.proje")
                metinler.delete(1.0, END)
                metinler.insert(INSERT, dosya.read())
                metinler.config(background="white", font=(fontcesit,fontsizecesit))
                metinler.pack(expand=YES, fill=BOTH, side=LEFT)
                yeniprojepencere.destroy()
        yeniprojepencere=Toplevel()
        yeniprojepencere.title("Proje Ekle")
        pgen = 480
        pyuks = 360
        ekrangen = yeniprojepencere.winfo_screenwidth()
        ekranyuks = yeniprojepencere.winfo_screenheight()
        x = (ekrangen - pgen) / 2
        y = (ekranyuks - pyuks) / 2
        yeniprojepencere.geometry("%dx%d+%d+%d"%(pgen, pyuks, x, y))
        yeniprojepencere.config(bg="white")

        yeniprojeframe=Frame(yeniprojepencere, borderwidth=0, relief=GROOVE)
        yeniprojeframe.config(bg="#FFFFCC")
        yeniprojeframe.place(height=285, width=460, x=10, y=60)

        etiket = Label(yeniprojepencere, text = "Yeni Proje Oluşturulacak",
                       bg="white",
                       fg="blue",
                       font="Arial 18 bold")
        etiket.place(x=10, y=10)        

        prjEtiket1=Label(yeniprojeframe)
        prjEtiket1.config(text="Yeni Proje Adı:", bg="#FFFFCC")
        prjEtiket1.place(x=10, y=25)

        prjBilgiGir1=Entry(yeniprojeframe)
        prjBilgiGir1.config(bg="white")
        prjBilgiGir1.place(height=25, width=320, x=120, y=25)
        prjBilgiGir1.focus()

        cadEtiket1=Label(yeniprojeframe)
        cadEtiket1.config(text="Çizim Programı:", bg="#FFFFCC")
        cadEtiket1.place(x=10, y=55)

        cadBilgiGir1=Entry(yeniprojeframe)
        cadBilgiGir1.config(bg="white")
        cadBilgiGir1.place(height=25, width=320, x=120, y=55)

        mcuEtiket1=Label(yeniprojeframe)
        mcuEtiket1.config(text="Mikrokontrolör P:", bg="#FFFFCC")
        mcuEtiket1.place(x=10, y=85)

        mcuBilgiGir1=Entry(yeniprojeframe)
        mcuBilgiGir1.config(bg="white")
        mcuBilgiGir1.place(height=25, width=320, x=120, y=85)

        cpuEtiket1=Label(yeniprojeframe)
        cpuEtiket1.config(text="Bilgis. Programı:", bg="#FFFFCC")
        cpuEtiket1.place(x=10, y=115)

        cpuBilgiGir1=Entry(yeniprojeframe)
        cpuBilgiGir1.config(bg="white")
        cpuBilgiGir1.place(height=25, width=320, x=120, y=115)

        aciklamaEtiket1=Label(yeniprojeframe)
        aciklamaEtiket1.config(text="Tanıtım:", bg="#FFFFCC")
        aciklamaEtiket1.place(x=10, y=145)

        aciklamaGir1=Text(yeniprojeframe)
        aciklamaGir1.config(bg="white")
        aciklamaGir1.place(height=80, width=320, x=120, y=145)

        kaydetButon=Button(yeniprojeframe)
        kaydetButon.config(text="     Kaydet     ", command=yeniprojeolustur,
                           fg="red",
                           font="Ariala 14 bold")
        kaydetButon.place(x=120, y=230, height=40, width=200)
        def projeyapiptal():
                yeniprojepencere.destroy()
        vazgecButon=Button(yeniprojeframe)
        vazgecButon.config(text="Vazgeç", command=projeyapiptal,
                           fg="black",
                           font="Ariala 10 normal")
        vazgecButon.place(x=369, y=230, height=40, width=70)

def dosya_yeni():
        try:
                metinler.delete(1.0,END)
                yenidosya = ""
                dosya = open(yenidosya,"r")
                metinlerden = dosya.read()
                metinler.insert(1.0,metinlerden)
                dosya.close()
        except:
                mehmet=""

def dosya_ac():
        try:
                global acilandosya
                try:
                        acilandosya = askopenfilename()
                        dosya = open(acilandosya,"r")
                        metinlerden=dosya.read()
                        if kodlamaci<>"Kod Yok":
                                metinlerden2=unicode(metinlerden,kodlamaci)
                        if kodlamaci=="Kod Yok":
                                metinlerden2=metinlerden
                        metinler.delete(1.0, END)
                        metinler.insert(INSERT, metinlerden2)
                        metinler.config(background="white", font=(fontcesit,fontsizecesit))
                        metinler.pack(expand=YES, fill=BOTH, side=LEFT)
                        metinler.focus()
                except:
                        mehmet=""
        except:
                mehmet=""

def farkli_kaydet():
        try:
                yolla = asksaveasfilename()
                metinlerden = metinler.get(1.0,END)
                if kodlamaci<>"Kod Yok":
                        metinlerden2=unicode.encode(unicode(metinlerden),kodlamaci)
                if kodlamaci=="Kod Yok":
                        metinlerden2=metinlerden
                dosya = open(yolla,"w")
                dosya.write(metinlerden2)
                dosya.close()
        except:
                mehmet=""

def projesec(event):
        if os.path.isdir(liste.get(ACTIVE))==True:
                ekran = os.getcwd()+">"+liste.get(ACTIVE)
                ekran1.config(bg="black", fg="green", font="Ariala 16 normal")
                ekran1.delete(0, END)
                ekran1.insert(0, ekran)
                ekran1.pack(fill=BOTH)
                os.chdir(liste.get(ACTIVE))
                yol= os.getcwd()
                liste.delete(0,END)
                liste.pack(expand=YES, side=LEFT, fill=BOTH)
                yol2=os.listdir(yol)
                yol2.sort()
                for i in yol2:
                        if i <> "proje.proje":
                                if i <> "projem.py":
                                        if os.name=="nt":
                                                liste.insert(END, unicode(i,"cp1254"))
                                        if os.name=="posix":
                                                liste.insert(END, unicode(i,"utf8"))
                                        try:
                                                dosya=open("proje.proje")
                                                metinler.delete(1.0, END)
                                                metinler.insert(INSERT, dosya.read())
                                                metinler.config(background="white", font=(fontcesit,fontsizecesit))
                                                metinler.pack(expand=YES, fill=BOTH, side=LEFT)
                                                metinler.tag_add("here", "1.0", "1.255")
                                                metinler.tag_config("here",font="serif 24 normal", background="white", foreground="red")
                                                metinler.focus()
                                        except:
                                                mehmet=""
                liste.pack(expand=YES, side=LEFT, fill=BOTH)
                                                
        elif os.path.isfile(liste.get(ACTIVE))==True:
                        if dosyadahili.get() == 1:
                                try:
                                        yol= os.getcwd()
                                        dosya=open(liste.get(ACTIVE))
                                        metinlerden=dosya.read()
                                        if kodlamaci<>"Kod Yok":
                                                metinlerden2=unicode(metinlerden,kodlamaci)
                                        if kodlamaci=="Kod Yok":
                                                metinlerden2=metinlerden
                                        metinler.delete(1.0, END)
                                        metinler.insert(INSERT, metinlerden2)
                                        metinler.config(background="white", font=(fontcesit,fontsizecesit))
                                        metinler.pack(expand=YES, fill=BOTH, side=LEFT)
                                        metinler.focus()
                                except:
                                        metinler.delete(1.0, END)
                                        metinler.insert(INSERT, "Bu dosya "+kodlamaci+" kodlama ile açılamıyor.\nLütfen kodlamayı değiştirerek yeniden deneyiniz.")
                                        metinler.config(background="white", font=(fontcesit,fontsizecesit))
                                        metinler.pack(expand=YES, fill=BOTH, side=LEFT)
                                        metinler.focus()
                                        metinler.tag_add("here", "1.0", "1.255")
                                        metinler.tag_config("here",font="serif 16 normal", background="white", foreground="red")
                                        metinler.tag_add("here2", "2.0", "2.255")
                                        metinler.tag_config("here2",font="sans-serif 12 normal", background="white", foreground="blue")

                        if dosyaharici.get() == 1:
                                if os.name=="nt":
                                        os.startfile(liste.get(ACTIVE))
                                if os.name=="posix":
                                        subprocess.call(('xdg-open', liste.get(ACTIVE)))

def projegeri():
        liste.delete(0,END)
        liste.pack(expand=YES, side=LEFT, fill=BOTH)
        os.chdir(os.pardir)
        yol= os.getcwd()
        yol2=os.listdir(yol)
        yol2.sort()
        for i in yol2:
                if i <> "proje.proje":
                        if i <> "projem.py":
                                if os.name=="nt":
                                        liste.insert(END, unicode(i,"cp1254"))
                                if os.name=="posix":
                                        liste.insert(END, unicode(i,"utf8"))
        liste.pack(expand=YES, side=LEFT, fill=BOTH)
        liste.bind("<Double-Button-1>", projesec)
        ekran = ekran = os.getcwd()+"<"
        os.listdir(yol)
        ekran1.config(bg="black", fg="green", font="Ariala 16 normal")
        ekran1.delete(0, END)
        ekran1.insert(0, ekran)
        ekran1.pack(fill=BOTH)
        try:
                dosya=open("proje.proje")
                metinler.delete(1.0, END)
                metinler.insert(INSERT, dosya.read())
                metinler.pack(expand=YES, fill=BOTH, side=LEFT)
                metinler.tag_add("here", "1.0", "1.255")
                metinler.tag_config("here",font="serif 24 normal", background="white", foreground="red")
                metinler.focus()
        except:
                mehmet=""
                
def projeanasayfa():
        os.chdir(str(sys.path[0]))
        liste.delete(0,END)
        liste.pack(expand=YES, side=LEFT, fill=BOTH)
        yol= os.getcwd()
        yol2=os.listdir(yol)
        yol2.sort()
        for i in yol2:
                if i <> "proje.proje":
                        if i <> "projem.py":
                                if os.name=="nt":
                                        liste.insert(END, unicode(i,"cp1254"))
                                if os.name=="posix":
                                        liste.insert(END, unicode(i,"utf8"))
        liste.pack(expand=YES, side=LEFT, fill=BOTH)
        liste.bind("<Double-Button-1>", projesec)
        ekran = os.getcwd()
        ekran1.config(bg="black", fg="green", font="Ariala 16 normal")
        ekran1.delete(0, END)
        ekran1.insert(0, ekran)
        ekran1.pack(fill=BOTH)
        try:
                dosya=open("proje.proje")
                metinler.delete(1.0, END)
                metinler.insert(INSERT, dosya.read())
                metinler.pack(expand=YES, fill=BOTH, side=LEFT)
                metinler.tag_add("here", "1.0", "1.255")
                metinler.tag_config("here",font="serif 24 normal", background="white", foreground="red")
                metinler.focus()
        except:
                metinler.delete(1.0, END)
                metinler.insert(INSERT, "Bu klasörün içeriği görüntülenemiyor.\nKlasör boş olabilir.\nKlasörün içeriğini kontrol ediniz.")
                metinler.pack(expand=YES, fill=BOTH, side=LEFT)

def projeyenile():
        liste.delete(0,END)
        liste.pack(expand=YES, side=LEFT, fill=BOTH)
        yol= os.getcwd()
        yol2=os.listdir(yol)
        yol2.sort()
        for i in yol2:
                if i <> "proje.proje":
                        if i <> "projem.py":
                                if os.name=="nt":
                                        liste.insert(END, unicode(i,"cp1254"))
                                if os.name=="posix":
                                        liste.insert(END, unicode(i,"utf8"))
        liste.pack(expand=YES, side=LEFT, fill=BOTH)
        liste.bind("<Double-Button-1>", projesec)
        ekran = os.getcwd()
        ekran1.config(bg="black", fg="green", font="Ariala 16 normal")
        ekran1.delete(0, END)
        ekran1.insert(0, ekran)
        ekran1.pack(fill=BOTH)

def projeayarlar():
        projeayarpencere=Toplevel()
        projeayarpencere.title("Ayarlar")
        pgen = 480
        pyuks = 360
        ekrangen = projeayarpencere.winfo_screenwidth()
        ekranyuks = projeayarpencere.winfo_screenheight()
        x = (ekrangen - pgen) / 2
        y = (ekranyuks - pyuks) / 2
        projeayarpencere.geometry("%dx%d+%d+%d"%(pgen, pyuks, x, y))
        etiket = Label(projeayarpencere, text = "Yapım Aşamasında",
                       fg="red",
                       font="Arial 18 normal")
        etiket.pack(side=TOP, padx=3, pady=50)

def yardimbilgi():
        dosya=open(str(sys.path[0])+"/yardim.yrd")
        metinler.delete(1.0, END)
        metinler.insert(INSERT, dosya.read())
        metinler.config(bg="white",font=(fontcesit,fontsizecesit))
        metinler.pack(expand=YES, fill=BOTH, side=LEFT)
        metinler.focus()
        metinler.tag_add("here", "1.0", "1.255")
        metinler.tag_config("here",font="serif 20 normal", background="white", foreground="blue")

menuframe=Frame()
menuframe.config(width=150, borderwidth=2, relief=GROOVE, bg="#FFFFCC")
menuframe.pack(side=LEFT, fill=Y)

etiket = Label(menuframe, text = "Proje Yönetimi",
               fg="red",
               bg="#FFFFCC",
               font="Arial 10 normal")
etiket.pack(side=TOP, padx=3, pady=1)

dugme7=Button(menuframe)
dugme7.config(text="Projeler", command=projeanasayfa, width=20, height=1, font=("normal", 8), bg="#E1F2F7")
dugme7.pack(side=TOP, padx=3, pady=1)

dugme4=Button(menuframe)
dugme4.config(text="Yeni Proje", command=projeekle, width=20, height=1, font=("normal", 8), bg="#E1F2F7")
dugme4.pack(side=TOP, padx=3, pady=1)

dugme8=Button(menuframe)
dugme8.config(text="Ayarlar", command=projeayarlar, width=20, height=1, font=("normal", 8), bg="#E1F2F7")
dugme8.pack(side=TOP, padx=3, pady=1)

dugme6=Button(menuframe)
dugme6.config(text="Yenile", command=projeyenile, width=20, height=1, font=("normal", 8), bg="#E1F2F7")
dugme6.pack(side=TOP, padx=3, pady=1)

cik=Button(menuframe)
cik.config(text="Çıkış", command=sys.exit, width=16, height=1, font=("bold", 10), fg="red", bg="#F9CDD1")
cik.pack(side=BOTTOM, padx=3, pady=1)

giris = Label(menuframe, text="Dosya Açma Yöntemi", font=("normal", 7), fg="blue", bg="#FFFFCC")
giris.pack(side=TOP, padx=3, pady=1)

checkbuttonframe=Frame(menuframe)
checkbuttonframe.config(width=150, height=10, borderwidth=0, relief=GROOVE, bg="#FFFFCC")
checkbuttonframe.pack(side=TOP, fill=Y)

dosyaeditorde = Checkbutton(checkbuttonframe, text="Dahili", font=("normal", 7), variable=dosyadahili, bg="#FFFFCC")
dosyaeditorde.pack(side=LEFT, padx=3, pady=1)
dosyaeditorde.select()
dosyaharicde = Checkbutton(checkbuttonframe, text="Harici", font=("normal", 7), variable=dosyaharici, bg="#FFFFCC")
dosyaharicde.pack(side=RIGHT, padx=3, pady=1)

giris = Label(menuframe, text="Liste Genişliği", font=("normal", 7), fg="blue", bg="#FFFFCC")
giris.pack(side=TOP, padx=3, pady=1)

listegenisframe=Frame(menuframe)
listegenisframe.config(width=150, height=10, borderwidth=0, relief=GROOVE, bg="#FFFFCC")
listegenisframe.pack(side=TOP, fill=Y)
listegenislikleri=("Dar", "Orta", "Geniş")
listegenislik='Orta'

def degistirliste(x1):
    global listegenislik
    listegenislik=x1
    if listegenislik=="Dar":
            dugme5.config(text="Geri", command=projegeri, width=10, height=1, font=("normal", 8), bg="#E1F2F7")
            dugme5.pack(side=TOP, padx=3, pady=1)
            dugme5a.config(text="Geri", command=projegeri, width=10, height=1, font=("normal", 8), bg="#E1F2F7")
            dugme5a.pack(side=BOTTOM, padx=3, pady=1)            
    if listegenislik=="Orta":
            dugme5.config(text="Geri", command=projegeri, width=25, height=1, font=("normal", 8), bg="#E1F2F7")
            dugme5.pack(side=TOP, padx=3, pady=1)
            dugme5a.config(text="Geri", command=projegeri, width=25, height=1, font=("normal", 8), bg="#E1F2F7")
            dugme5a.pack(side=BOTTOM, padx=3, pady=1)            
    if listegenislik=="Geniş":
            dugme5.config(text="Geri", command=projegeri, width=75, height=1, font=("normal", 8), bg="#E1F2F7")
            dugme5.pack(side=TOP, padx=3, pady=1)
            dugme5a.config(text="Geri", command=projegeri, width=75, height=1, font=("normal", 8), bg="#E1F2F7")
            dugme5a.pack(side=BOTTOM, padx=3, pady=1)            
rb={}
for i1 in listegenislikleri:
    rb[i1]=Radiobutton(listegenisframe, text=i1, variable="listegenislik", font=("normal", 7), bg="#FFFFCC", value=i1, command=(lambda i1=i1: degistirliste(i1)))
    rb[i1].pack(side=LEFT,anchor=NW)
rb["Orta"].select()

etiket = Label(menuframe, text = "Editör Yönetimi",
               fg="red",
               bg="#FFFFCC",
               font="Arial 10 normal")
etiket.pack(side=TOP, padx=3, pady=1)   

dugme1=Button(menuframe)
dugme1.config(text="Dosya Aç", command=dosya_ac, width=20, height=1, font=("normal", 8), bg="#E1F2F7")
dugme1.pack(side=TOP, padx=3, pady=1)

dugme2=Button(menuframe)
dugme2.config(text="Yeni Dosya", command=dosya_yeni, width=20, height=1, font=("normal", 8), bg="#E1F2F7")
dugme2.pack(side=TOP, padx=3, pady=1)

dugme3=Button(menuframe)
dugme3.config(text="Kaydet", command=farkli_kaydet, width=20, height=1, font=("normal", 8), bg="#E1F2F7")
dugme3.pack(side=TOP, padx=3, pady=1)

giris = Label(menuframe, text="Fontlar", font=("normal", 8), fg="blue", bg="#FFFFCC")
giris.pack(side=TOP, padx=3, pady=1)
fontlarframe=Frame(menuframe)
fontlarframe.config(width=150, height=10, borderwidth=0, relief=GROOVE, bg="#FFFFCC")
fontlarframe.pack(side=TOP, fill=Y)
fontlar=("Arial", "Times", "Courier")
def degistirfont(x2):
    global fontsizecesit
    global fontcesit
    if x2=="Times":
            x2="Times new roman"
    fontcesit=x2
    metinler.config(font=(fontcesit,fontsizecesit))
    metinler.pack(expand=YES, fill=BOTH, side=LEFT)
    metinler.focus()
frb={}
for i2 in fontlar:
    frb[i2]=Radiobutton(fontlarframe, text=i2, variable="fontcesit", font=("normal", 7), bg="#FFFFCC", value=i2, command=(lambda i2=i2: degistirfont(i2)))
    frb[i2].pack(side=LEFT,anchor=NW)
frb[fontsizecesitbaslangic].select()

giris = Label(menuframe, text="Font Büyüklüğü", font=("normal", 8), fg="blue", bg="#FFFFCC")
giris.pack(side=TOP, padx=3, pady=1)
fontlarsizeframe=Frame(menuframe)
fontlarsizeframe.config(width=150, height=10, borderwidth=0, relief=GROOVE, bg="#FFFFCC")
fontlarsizeframe.pack(side=TOP, fill=Y)
fontlarsize=("8", "10", "12", "16")
fontsizecesit='10'
def degistirfontsize(x3):
    global fontsizecesit
    fontsizecesit=x3
    metinler.config(font=(fontcesit,fontsizecesit))
    metinler.pack(expand=YES, fill=BOTH, side=LEFT)
    metinler.focus()
fcrb={}
for i3 in fontlarsize:
    fcrb[i3]=Radiobutton(fontlarsizeframe, text=i3, variable="fontsizecesit", font=("normal", 7), bg="#FFFFCC", value=i3, command=(lambda i3=i3: degistirfontsize(i3)))
    fcrb[i3].pack(side=LEFT,anchor=NW)
fcrb["10"].select()

giris = Label(menuframe, text="Kodlama", font=("normal", 8), fg="blue", bg="#FFFFCC")
giris.pack(side=TOP, padx=3, pady=1)
kodlamaframe=Frame(menuframe)
kodlamaframe.config(width=150, height=10, borderwidth=0, relief=GROOVE, bg="#FFFFCC")
kodlamaframe.pack(side=TOP, fill=Y)
kodlamalar=("Kod Yok", "utf8", "cp1254")
if os.name=="posix":
        kodlamaci='utf8'
if os.name=="nt":
        kodlamaci='cp1254'
def degistirkodlama(x4):
        global kodlamaci
        kodlamaci=x4                   
        metinler.pack(expand=YES, fill=BOTH, side=LEFT)
        metinler.focus()
kodlarb={}
for i4 in kodlamalar:
    kodlarb[i4]=Radiobutton(kodlamaframe, text=i4, variable="kodlamaci", font=("normal", 7), bg="#FFFFCC", value=i4, command=(lambda i4=i4: degistirkodlama(i4)))
    kodlarb[i4].pack(side=LEFT,anchor=NW)
if os.name=="nt":
        kodlarb["cp1254"].select()
if os.name=="posix":
        kodlarb["utf8"].select()

yardimframe=Frame(menuframe)
yardimframe.config(width=200, height=10, borderwidth=0, relief=GROOVE, bg="#FFFFCC")
yardimframe.pack(side=BOTTOM, fill=X)

yardim=Button(yardimframe)
yardim.config(text="Yardım", command=yardimbilgi, width=5, height=1, font=("normal", 8), fg="blue", bg="#E1F2F7")
yardim.pack(side=LEFT, padx=1, pady=1)

ekran1=Entry()
ekran1.config(bg="black", fg="green", font="Arial 16 normal")
ekran1.delete(0, END)
ekran1.insert(0, ekran)
ekran1.pack(fill=BOTH)

listeframe=Frame()
listeframe.config(width=400, borderwidth=0, relief=GROOVE, bg="#FFFFCC")
listeframe.pack(side=LEFT, fill=Y)

liste = Listbox(listeframe)
liste.config(borderwidth=0, width=10, bg="#FEFBF6", relief=GROOVE)

dugme5=Button(listeframe)
dugme5.config(text="Geri", command=projegeri, width=25, height=1, font=("normal", 8), bg="#E1F2F7")
dugme5.pack(side=TOP, padx=3, pady=1)

dugme5a=Button(listeframe)
dugme5a.config(text="Geri", command=projegeri, width=25, height=1, font=("normal", 8), bg="#E1F2F7")
dugme5a.pack(side=BOTTOM, padx=3, pady=1)

yol= os.getcwd()
yol2=os.listdir(yol)
yol2.sort()

for i in yol2:
        if i <> "proje.proje":
                if i <> "projem.py":
                        if os.name=="nt":
                                liste.insert(END, unicode(i,"cp1254"))
                        if os.name=="posix":
                                liste.insert(END, unicode(i,"utf8"))

scrollbaricin2=Scrollbar(listeframe,orient=HORIZONTAL)
scrollbaricin2.config(command=liste.xview, width=15)
liste.config(xscrollcommand=scrollbaricin2.set)
scrollbaricin2.pack(side=BOTTOM, fill=X)

liste.pack(expand=YES, side=LEFT, fill=BOTH)
liste.bind("<Double-Button-1>", projesec)

scrollbaricin=Scrollbar(listeframe)
scrollbaricin.config(command=liste.yview, width=15)
liste.config(yscrollcommand=scrollbaricin.set)
scrollbaricin.pack(side=RIGHT, fill=Y)

metinframe=Frame(borderwidth=8)
metinframe.config(bg="#FFCC99")
metinframe.pack(expand=YES, fill=BOTH)

metinler=Text(metinframe)
dosya=open("proje.proje")
metinler.delete(1.0, END)
metinler.insert(INSERT, dosya.read())
metinler.config(bg="white",font=(fontcesit,fontsizecesit))
metinler.pack(expand=YES, fill=BOTH, side=LEFT)
metinler.focus()
metinler.tag_add("here", "1.0", "1.255")
metinler.tag_config("here",font="serif 24 normal", background="white", foreground="red")

scrollbaricin=Scrollbar(metinframe)
scrollbaricin.config(command=metinler.yview, bg="#FFCC99", troughcolor="#FF9966", width=15)
metinler.config(yscrollcommand=scrollbaricin.set, width=5)
scrollbaricin.pack(expand=YES, fill=BOTH)

pencere.mainloop()
